Package org.eclipse.emf.cdo.spi.common.protocol

## Class CDODataOutputImpl

- java.lang.Object
- - org.eclipse.net4j.util.io.ExtendedDataOutput.Delegating
  - - org.eclipse.emf.cdo.spi.common.protocol.CDODataOutputImpl

- All Implemented Interfaces:
    `java.io.Closeable`, `java.io.DataOutput`, `java.lang.AutoCloseable`, `CDODataOutput`, `org.eclipse.net4j.util.io.ExtendedDataOutput`

      public class CDODataOutputImpl
      extends org.eclipse.net4j.util.io.ExtendedDataOutput.Delegating
      implements CDODataOutput

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.ExtendedDataOutput

      `org.eclipse.net4j.util.io.ExtendedDataOutput.Delegating, org.eclipse.net4j.util.io.ExtendedDataOutput.Stream`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDODataOutputImpl​(org.eclipse.net4j.util.io.ExtendedDataOutput delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOIDProvider` | `getIDProvider()` |
    `CDOPackageRegistry` | `getPackageRegistry()` |
    `protected org.eclipse.net4j.util.io.StringIO` | `getPackageURICompressor()` |
    `CDOPermissionProvider` | `getPermissionProvider()` |
    `CDORevisionUnchunker` | `getRevisionUnchunker()` |
    `protected boolean` | `isXCompression()` |
    `void` | `writeCDOBranch​(CDOBranch branch)` |
    `void` | `writeCDOBranchPoint​(CDOBranchPoint branchPoint)` |
    `void` | `writeCDOBranchVersion​(CDOBranchVersion branchVersion)` |
    `void` | `writeCDOChangeSetData​(CDOChangeSetData changeSetData)` |
    `void` | `writeCDOClassifierRef​(CDOClassifierRef eClassifierRef)` |
    `void` | `writeCDOClassifierRef​(org.eclipse.emf.ecore.EClassifier eClassifier)` |
    `void` | `writeCDOCommitData​(CDOCommitData commitData)` |
    `void` | `writeCDOCommitInfo​(CDOCommitInfo commitInfo)` |
    `void` | `writeCDOFeatureDelta​(org.eclipse.emf.ecore.EClass owner, CDOFeatureDelta featureDelta)` |
    `void` | `writeCDOFeatureValue​(org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value)` |
    `void` | `writeCDOID​(CDOID id)` |
    `void` | `writeCDOIDAndBranch​(CDOIDAndBranch idAndBranch)` |
    `void` | `writeCDOIDAndVersion​(CDOIDAndVersion idAndVersion)` |
    `void` | `writeCDOIDReference​(CDOIDReference idReference)` |
    `void` | `writeCDOList​(org.eclipse.emf.ecore.EClass owner, org.eclipse.emf.ecore.EStructuralFeature feature, CDOList list, int referenceChunk)` |
    `void` | `writeCDOLockArea​(IDurableLockingManager.LockArea lockArea)` |
    `void` | `writeCDOLockChangeInfo​(CDOLockChangeInfo lockChangeInfo)` |
    `void` | `writeCDOLockChangeInfo​(CDOLockChangeInfo lockChangeInfo, java.util.Set<CDOID> filter)` |
    `void` | `writeCDOLockOwner​(CDOLockOwner lockOwner)` |
    `void` | `writeCDOLockState​(CDOLockState lockState)` |
    `void` | `writeCDOLockType​(org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType)` |
    `void` | `writeCDOPackageInfo​(CDOPackageInfo packageInfo)` |
    `void` | `writeCDOPackageUnit​(CDOPackageUnit packageUnit, boolean withPackages)` |
    `void` | `writeCDOPackageUnits​(CDOPackageUnit... packageUnits)` |
    `void` | `writeCDOPackageUnitType​(CDOPackageUnit.Type type)` |
    `void` | `writeCDOPackageURI​(java.lang.String uri)` |
    `void` | `writeCDORevisable​(CDORevisable revisable)` |
    `void` | `writeCDORevision​(CDORevision revision, int referenceChunk)` |
    `void` | `writeCDORevision​(CDORevision revision, int referenceChunk, CDOBranchPoint securityContext)` |
    `void` | `writeCDORevisionDelta​(CDORevisionDelta revisionDelta)` |
    `void` | `writeCDORevisionKey​(CDORevisionKey revisionKey)` |
    `void` | `writeCDORevisionOrPrimitive​(java.lang.Object value)` | Write either a CDORevision or a primitive value.
    `void` | `writeCDORevisionOrPrimitiveOrClassifier​(java.lang.Object value)` | Write either a CDORevision, a primitive value or a EClass.
    `void` | `writeCDOType​(CDOType cdoType)` |
    `void` | `writeXInt​(int v)` |
    `void` | `writeXLong​(long v)` |

    - ### Methods inherited from class org.eclipse.net4j.util.io.ExtendedDataOutput.Delegating

      `close, getDelegate, write, write, write, writeBoolean, writeByte, writeByteArray, writeBytes, writeChar, writeChars, writeDouble, writeEnum, writeException, writeFloat, writeInt, writeLong, writeObject, writeShort, writeString, writeUTF, writeVarInt, writeVarLong`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.DataOutput

      `write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

    - ### Methods inherited from interface org.eclipse.net4j.util.io.ExtendedDataOutput

      `writeByteArray, writeEnum, writeException, writeObject, writeString, writeVarInt, writeVarLong`

- - ### Constructor Detail

    - #### CDODataOutputImpl

          public CDODataOutputImpl​(org.eclipse.net4j.util.io.ExtendedDataOutput delegate)

  - ### Method Detail

    - #### writeXInt

          public void writeXInt​(int v)
                         throws java.io.IOException

      Specified by:
        `writeXInt` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`
      Since:
        4.6

    - #### writeXLong

          public void writeXLong​(long v)
                          throws java.io.IOException

      Specified by:
        `writeXLong` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`
      Since:
        4.6

    - #### writeCDOPackageUnit

          public void writeCDOPackageUnit​(CDOPackageUnit packageUnit,
                                          boolean withPackages)
                                   throws java.io.IOException

      Specified by:
        `writeCDOPackageUnit` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOPackageUnits

          public void writeCDOPackageUnits​(CDOPackageUnit... packageUnits)
                                    throws java.io.IOException

      Specified by:
        `writeCDOPackageUnits` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOPackageUnitType

          public void writeCDOPackageUnitType​(CDOPackageUnit.Type type)
                                       throws java.io.IOException

      Specified by:
        `writeCDOPackageUnitType` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOPackageInfo

          public void writeCDOPackageInfo​(CDOPackageInfo packageInfo)
                                   throws java.io.IOException

      Specified by:
        `writeCDOPackageInfo` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOClassifierRef

          public void writeCDOClassifierRef​(CDOClassifierRef eClassifierRef)
                                     throws java.io.IOException

      Specified by:
        `writeCDOClassifierRef` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOClassifierRef

          public void writeCDOClassifierRef​(org.eclipse.emf.ecore.EClassifier eClassifier)
                                     throws java.io.IOException

      Specified by:
        `writeCDOClassifierRef` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOPackageURI

          public void writeCDOPackageURI​(java.lang.String uri)
                                  throws java.io.IOException

      Specified by:
        `writeCDOPackageURI` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOType

          public void writeCDOType​(CDOType cdoType)
                            throws java.io.IOException

      Specified by:
        `writeCDOType` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOBranch

          public void writeCDOBranch​(CDOBranch branch)
                              throws java.io.IOException

      Specified by:
        `writeCDOBranch` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOBranchPoint

          public void writeCDOBranchPoint​(CDOBranchPoint branchPoint)
                                   throws java.io.IOException

      Specified by:
        `writeCDOBranchPoint` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOBranchVersion

          public void writeCDOBranchVersion​(CDOBranchVersion branchVersion)
                                     throws java.io.IOException

      Specified by:
        `writeCDOBranchVersion` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOChangeSetData

          public void writeCDOChangeSetData​(CDOChangeSetData changeSetData)
                                     throws java.io.IOException

      Specified by:
        `writeCDOChangeSetData` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOCommitData

          public void writeCDOCommitData​(CDOCommitData commitData)
                                  throws java.io.IOException

      Specified by:
        `writeCDOCommitData` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOCommitInfo

          public void writeCDOCommitInfo​(CDOCommitInfo commitInfo)
                                  throws java.io.IOException

      Specified by:
        `writeCDOCommitInfo` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOLockChangeInfo

          public void writeCDOLockChangeInfo​(CDOLockChangeInfo lockChangeInfo)
                                      throws java.io.IOException

      Specified by:
        `writeCDOLockChangeInfo` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOLockChangeInfo

          public void writeCDOLockChangeInfo​(CDOLockChangeInfo lockChangeInfo,
                                             java.util.Set<CDOID> filter)
                                      throws java.io.IOException

      Specified by:
        `writeCDOLockChangeInfo` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOLockArea

          public void writeCDOLockArea​(IDurableLockingManager.LockArea lockArea)
                                throws java.io.IOException

      Specified by:
        `writeCDOLockArea` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOLockOwner

          public void writeCDOLockOwner​(CDOLockOwner lockOwner)
                                 throws java.io.IOException

      Specified by:
        `writeCDOLockOwner` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOLockState

          public void writeCDOLockState​(CDOLockState lockState)
                                 throws java.io.IOException

      Specified by:
        `writeCDOLockState` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOLockType

          public void writeCDOLockType​(org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType)
                                throws java.io.IOException

      Specified by:
        `writeCDOLockType` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOID

          public void writeCDOID​(CDOID id)
                          throws java.io.IOException

      Specified by:
        `writeCDOID` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOIDReference

          public void writeCDOIDReference​(CDOIDReference idReference)
                                   throws java.io.IOException

      Specified by:
        `writeCDOIDReference` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOIDAndVersion

          public void writeCDOIDAndVersion​(CDOIDAndVersion idAndVersion)
                                    throws java.io.IOException

      Specified by:
        `writeCDOIDAndVersion` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOIDAndBranch

          public void writeCDOIDAndBranch​(CDOIDAndBranch idAndBranch)
                                   throws java.io.IOException

      Specified by:
        `writeCDOIDAndBranch` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDORevisionKey

          public void writeCDORevisionKey​(CDORevisionKey revisionKey)
                                   throws java.io.IOException

      Specified by:
        `writeCDORevisionKey` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDORevision

          public void writeCDORevision​(CDORevision revision,
                                       int referenceChunk)
                                throws java.io.IOException

      Specified by:
        `writeCDORevision` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDORevision

          public void writeCDORevision​(CDORevision revision,
                                       int referenceChunk,
                                       CDOBranchPoint securityContext)
                                throws java.io.IOException

      Specified by:
        `writeCDORevision` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDORevisable

          public void writeCDORevisable​(CDORevisable revisable)
                                 throws java.io.IOException

      Specified by:
        `writeCDORevisable` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOList

          public void writeCDOList​(org.eclipse.emf.ecore.EClass owner,
                                   org.eclipse.emf.ecore.EStructuralFeature feature,
                                   CDOList list,
                                   int referenceChunk)
                            throws java.io.IOException

      Specified by:
        `writeCDOList` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOFeatureValue

          public void writeCDOFeatureValue​(org.eclipse.emf.ecore.EStructuralFeature feature,
                                           java.lang.Object value)
                                    throws java.io.IOException

      Specified by:
        `writeCDOFeatureValue` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDORevisionDelta

          public void writeCDORevisionDelta​(CDORevisionDelta revisionDelta)
                                     throws java.io.IOException

      Specified by:
        `writeCDORevisionDelta` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDOFeatureDelta

          public void writeCDOFeatureDelta​(org.eclipse.emf.ecore.EClass owner,
                                           CDOFeatureDelta featureDelta)
                                    throws java.io.IOException

      Specified by:
        `writeCDOFeatureDelta` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDORevisionOrPrimitive

          public void writeCDORevisionOrPrimitive​(java.lang.Object value)
                                           throws java.io.IOException

      Description copied from interface: `CDODataOutput`
      Write either a CDORevision or a primitive value.
      Specified by:
        `writeCDORevisionOrPrimitive` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### writeCDORevisionOrPrimitiveOrClassifier

          public void writeCDORevisionOrPrimitiveOrClassifier​(java.lang.Object value)
                                                       throws java.io.IOException

      Description copied from interface: `CDODataOutput`
      Write either a CDORevision, a primitive value or a EClass.
      Specified by:
        `writeCDORevisionOrPrimitiveOrClassifier` in interface `CDODataOutput`
      Throws:
        `java.io.IOException`

    - #### getPackageRegistry

          public CDOPackageRegistry getPackageRegistry()

      Specified by:
        `getPackageRegistry` in interface `CDODataOutput`

    - #### getIDProvider

          public CDOIDProvider getIDProvider()

      Specified by:
        `getIDProvider` in interface `CDODataOutput`

    - #### getPermissionProvider

          public CDOPermissionProvider getPermissionProvider()

      Specified by:
        `getPermissionProvider` in interface `CDODataOutput`

    - #### getRevisionUnchunker

          public CDORevisionUnchunker getRevisionUnchunker()

      Specified by:
        `getRevisionUnchunker` in interface `CDODataOutput`
      Since:
        4.3

    - #### isXCompression

          protected boolean isXCompression()

      Since:
        4.6

    - #### getPackageURICompressor

          protected org.eclipse.net4j.util.io.StringIO getPackageURICompressor()